#!/bin/bash -x 

TAG="v4_0_1"

# start with a clean directory
rm -rf CheckstylePlugin
# export cvs revision
cvs -d:pserver:anonymous@eclipse-cs.cvs.sourceforge.net:/cvsroot/eclipse-cs export -r ${TAG} CheckstylePlugin
# remove any pre-compiled stuff
find CheckstylePlugin -regextype posix-egrep -regex '.*.jar|.*.zip|.*.class' -print | xargs rm -f
# create tar
tar -jcvf CheckstylePlugin-${TAG}.tar.bz2 CheckstylePlugin
